/****************************************************************************
  Project: NITRO-SampleTools - TXLib - TextureViewer
  File:    main3D.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This is the routine for 3D called from main.

  $Log: main3D.h,v $
  Revision 1.7  2005/06/20 06:46:11  mominoki
  Updated copyright. Made revision adjustments. 


  Revision 1.1  2004/04/15		mominoki
  Fixed comments.

  Revision 1.0  2004/01/27		mominoki
  Entered initial version.

  $NoKeywords: $
******************************************************************************/
#ifndef MAIN3D_H_
#define MAIN3D_H_

extern void Main3D_InitDisp(void);
extern void Main3D_InitViewPort(void);
extern void Main3D_Init3DScene(void);
extern void Main3D_LoadTexture(u16 textureNo);
extern void Main3D_RenderPolygon(u16 textureNo, u8 texDecalFlg,  u8 palette0TransparentFlg);

#endif
