/****************************************************************************
  Project: NITRO-SampleTools - TXLib - TextureViewer
  File:    myLib_fontBgScr.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This is the routine to display fonts in BG.

  $Log: myLib_fontBgScr.h,v $
  Revision 1.7  2005/06/20 06:46:11  mominoki
  Updated copyright. Made revision adjustments. 


  Revision 1.1  2004/04/15		mominoki
  Fixed comments.

  Revision 1.0  2004/01/27		mominoki
  Entered initial version.

  $NoKeywords: $
******************************************************************************/
#ifndef MYLIB_FONTBGSCR_H_
#define MYLIB_FONTBGSCR_H_

#include <nitro.h>

extern void MyLib_FontBgScr_SetChar(
	const	u8* 			pChar,					// Character strings to be displayed
			u16*			pDest,					// Destination address
			u16				colorIndex				// Color index
); // Set character strings on font BG screen

extern void MyLib_FontBgScr_SetU16(
			u16 			figure,					// Figure to be displayed
			u16*			pDest,					// Destination address
			u16				colorIndex,				// Color index
			u8 				sw						// Decimal (10) or hexadecimal (16)
); // Set figure on font BG screen

#endif
