/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    TXLib_Typedef.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This file defines the TXLib structure. Use this when necessary on the application side.

  $Log: TXLib_Typedef.h,v $
  Revision 1.6  2005/06/20 00:46:33  mominoki
  20050620

  Revision 1.5  2004/10/26 11:06:41  mominoki
  (none)


  Revision 1.1  2004/04/15		mominoki
  Revised the comments.

  Revision 1.0  2004/03/03		mominoki
  Initial registration.

  $NoKeywords: $
 ***************************************************************************/
#ifndef TXLIB_TYPEDEF_H_
#define TXLIB_TYPEDEF_H_

/*********************************************************************************************************
	typedef
*********************************************************************************************************/
typedef signed 		char 	s8;
typedef unsigned 	char 	u8;
typedef signed 		short 	s16;
typedef unsigned 	short 	u16;
typedef unsigned 	int		u32;
typedef 			int 	s32;

// RGB Structure
typedef struct tTLBRGB
{
	u8 		red;
	u8 		green;
	u8 		blue;
}tTLBRGB;

#endif